## ros-kinetic-bondpy 1.8.3

=== debian/changelog ===
ros-kinetic-bondpy (1.8.3-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 16 Aug 2018 22:00:00 -0000

ros-kinetic-bondpy (1.8.2-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 26 Apr 2018 22:00:00 -0000

ros-kinetic-bondpy (1.8.1-0xenial) xenial; urgency=high

  * fix package.xml to comply with schema (#30 <https://github.com/ros/bond_core/issues/30>)
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 26 Oct 2017 22:00:00 -0000

ros-kinetic-bondpy (1.8.0-0xenial) xenial; urgency=high

  * switch to package format 2 (#27 <https://github.com/ros/bond_core/issues/27>)
  * Closer to pep8 compliance (#25 <https://github.com/ros/bond_core/issues/25>)
  * Python3 compatibility (#24 <https://github.com/ros/bond_core/issues/24>)
  * Fixes problem with bondpy not exiting with the node (#21 <https://github.com/ros/bond_core/issues/21>)
  * Contributors: Aaron Miller, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 26 Jul 2017 22:00:00 -0000

ros-kinetic-bondpy (1.7.19-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 26 Mar 2017 22:00:00 -0000

ros-kinetic-bondpy (1.7.18-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 23 Oct 2016 22:00:00 -0000

ros-kinetic-bondpy (1.7.17-0xenial) xenial; urgency=high

  * Queue size for a publisher #10 <https://github.com/ros/bond_core/issues/10>
    Squash the warning.
  * update maintainer
  * Made code a bit more readable #12 <https://github.com/ros/bond_core/pull/12>
  * made local timer a member so we can cancel it during shutdown #11 <https://github.com/ros/bond_core/pull/11>
  * Contributors: Daniel Stonier, Esteve Fernandez, Hugo Boyer, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 14 Mar 2016 23:00:00 -0000

ros-kinetic-bondpy (1.7.16-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 29 Oct 2014 23:00:00 -0000

ros-kinetic-bondpy (1.7.15-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 27 Oct 2014 23:00:00 -0000

ros-kinetic-bondpy (1.7.14-0xenial) xenial; urgency=high

  * Export architecture_independent flag in package.xml #4 <https://github.com/ros/bond_core/pull/4>
  * bondpy: Add catkin_package call to CMakeLists.txt #3 <https://github.com/ros/bond_core/pull/3>
    If catkin_package is not called, the package.xml is not installed
  * Update maintainer field
  * Contributors: Esteve Fernandez, Scott K Logan, Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 07 May 2014 22:00:00 -0000

ros-kinetic-bondpy (1.7.13-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 20 Aug 2013 22:00:00 -0000

ros-kinetic-bondpy (1.7.12-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 05 Jun 2013 22:00:00 -0000

ros-kinetic-bondpy (1.7.11-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 12 Mar 2013 23:00:00 -0000

ros-kinetic-bondpy (1.7.10-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Sat, 12 Jan 2013 23:00:00 -0000

ros-kinetic-bondpy (1.7.9-0xenial) xenial; urgency=high

  * fix wrong module for Duration
  * add missing dep on rospy
  * modified dep type of catkin
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 26 Dec 2012 23:00:00 -0000

ros-kinetic-bondpy (1.7.8-0xenial) xenial; urgency=high

  * update setup() to use generate_distutils_setup
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 12 Dec 2012 23:00:00 -0000

ros-kinetic-bondpy (1.7.7-0xenial) xenial; urgency=high

  * Updated url tags in package.xml's #1 <https://github.com/ros/bond_core/pull/1>
  * Contributors: William Woodall

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 05 Dec 2012 23:00:00 -0000

ros-kinetic-bondpy (1.7.6-0xenial) xenial; urgency=high

  * fix catkin function order
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 29 Oct 2012 23:00:00 -0000

ros-kinetic-bondpy (1.7.5-0xenial) xenial; urgency=high

  * clean up package.xml files
  * fixed python module import
  * updated setup.py files
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 26 Oct 2012 22:00:00 -0000

ros-kinetic-bondpy (1.7.4-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 05 Oct 2012 22:00:00 -0000

ros-kinetic-bondpy (1.7.3-0xenial) xenial; urgency=high

  * fix package building issues
  * Contributors: Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 01 Oct 2012 22:19:00 -0000

ros-kinetic-bondpy (1.7.2-0xenial) xenial; urgency=high

  * add the missing catkin dependency
  * Contributors: Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 01 Oct 2012 22:06:00 -0000

ros-kinetic-bondpy (1.7.1-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 01 Oct 2012 17:00:00 -0000

ros-kinetic-bondpy (1.7.0-0xenial) xenial; urgency=high

  * catkinize the package and bump to 1.7.0 even though it is not tagged yet
  * Reverting all changes that were meant to debug test failures on the build farm.
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4036308
  * More testing bond on the build farm: being careful to shutdown bond instances between tests.
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4036300
  * bond tests: debugging around the message publishing.
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4036262
  * Bond tests: debugging around state transition
    --HG--

