=== debian/control ===
Source: ros-kinetic-bondpy
Section: misc
Priority: extra
Maintainer: Mikael Arguedas <mikael@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-bond, ros-kinetic-catkin, ros-kinetic-rospy, ros-kinetic-smclib
Homepage: http://www.ros.org/wiki/bondpy
Standards-Version: 3.9.2

Package: ros-kinetic-bondpy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-rospy, ros-kinetic-smclib, uuid-dev
Description: Python implementation of bond, a mechanism for checking when another process has terminated.
